"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VFile = void 0;
const rules_1 = require("../rules");
const core_1 = require("./core");
class VFile extends core_1.VCore {
    constructor(err) {
        super();
        this.addTyping((0, rules_1.isFile)(err));
    }
    image(err) {
        return this.addRule((0, rules_1.isImage)(err));
    }
    audio(err) {
        return this.addRule((0, rules_1.isAudio)(err));
    }
    video(err) {
        return this.addRule((0, rules_1.isVideo)(err));
    }
}
exports.VFile = VFile;
//# sourceMappingURL=files.js.map