import { ExtractI } from './base';
import { VCore } from './core';
export declare class VOr<T extends VCore<any>[]> extends VCore<ExtractI<T[number]>> {
    constructor(options: T, err?: string);
}
export declare class VAnd<I> extends VCore<I> {
    constructor(options: VCore<I>[], err?: string);
}
export declare class VDiscriminator<D extends Record<string, VCore<any>>> extends VCore<ExtractI<D[keyof D]>> {
    constructor(discriminator: (val: ExtractI<D[keyof D]>) => string, schemas: D, err?: string);
}
