import { Timeable } from '../rules';
import { VCore } from './core';
export type { Timeable };
export declare class VTime<T extends Timeable = Timeable> extends VCore<T> {
    constructor(err?: string);
    min(compare: Timeable, err?: string): this;
    max(compare: Timeable, err?: string): this;
    asStamp(): VCore<number>;
    asString(): VCore<string>;
    asDate(): VCore<Date>;
}
