export type GetMap<T extends ReadonlyArray<any>> = readonly [...T];
type Func<T> = (v: T, idx: number) => boolean;
type ExtractArgs<T extends ReadonlyArray<Func<any>>> = {
    [K in keyof T]: T[K] extends Func<infer V> ? V : never;
};
export declare const isTuple: <T extends ReadonlyArray<Func<any>>>(comparer: GetMap<T>, error?: string) => import("../utils/rules").Rule<ExtractArgs<T>>;
export {};
