declare const customInspectSymbol: unique symbol;
type Accessor<Keys extends Record<string, any>> = {
    get: <Key extends keyof Keys>(key: Key, keysObj: Keys) => Keys[Key];
    set: <Key extends keyof Keys>(key: Key, value: Keys[Key], keysObj: Keys) => void;
};
declare class __Wrapped<Keys extends Record<string, any>> {
    constructor(keys: Keys, access?: Accessor<Keys>);
    [customInspectSymbol](_: any, options: any, inspect: any): string;
    toJSON(): Record<string, any>;
    toString(): string;
}
declare const ClassPropertiesWrapper_base: new <Keys_1 extends Record<string, any>>(keys: Keys_1, access?: Accessor<Keys_1>) => (__Wrapped<any> & Keys_1);
export declare class ClassPropertiesWrapper<Keys extends Record<string, any>> extends ClassPropertiesWrapper_base<Keys> {
}
export {};
