export declare const capitalize: (text: string) => string;
export declare const stripHTML: (html: string) => string;
export declare const trimToLength: (body: string, length: number) => string;
export declare const extractUrls: (text: string) => {
    original: string;
    normalized: string;
}[];
export declare const formatNumber: (num: number, dp?: number) => string;
export declare const pluralize: (count: number, singular: string, plural: string) => string;
export declare const getRandomValue: () => string;
export declare const groupBy: <Type, Unique extends string | number>(array: Array<Type>, func: (item: Type) => Unique) => {
    key: Unique;
    values: Type[];
}[];
export declare const getAlphabet: (num: number) => string;
export declare const addToArray: <T>(array: T[], item: T, getKey: (a: T) => any, getComparer: (a: T) => number | string, asc?: boolean) => T[];
export declare const divideByZero: (num: number, den: number) => number;
export declare const getPercentage: (num: number, den: number) => number;
export declare const getRandomSample: <Type>(population: Array<Type>, n: number) => Type[];
export declare const shuffleArray: <Type>(array: Array<Type>) => Type[];
export declare const chunkArray: <T>(arr: T[], size: number) => T[][];
export declare const wrapInTryCatch: <T>(fn: () => T, defaultValue?: T) => T | undefined;
export declare const compareTwoStrings: (first: string, second: string) => number;
