export declare class Geohash {
    #private;
    static decode(hash: string): [number, number];
    static encode(coords: [number, number]): string;
    static neighbors(hash: string): {
        bl: string;
        bc: string;
        br: string;
        cl: string;
        cr: string;
        tl: string;
        tc: string;
        tr: string;
    };
}
